=head1 NAME

Gtk2::FileSelection

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Dialog
                                     +----Gtk2::FileSelection



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 DEPRECATION WARNING

Gtk2::FileSelection has been marked as deprecated, and should not be used in newly written code.

You should use L<Gtk2::FileChooserDialog> instead of Gtk2::FileSelection.


=cut


=head1 METHODS

=head2 widget = Gtk2::FileSelection-E<gt>B<new> ($title)

=over

=item * $title (string) 

=back

=head2 widget = $fs-E<gt>B<action_area> 

=head2 widget = $fs-E<gt>B<button_area> 

=head2 widget = $fs-E<gt>B<cancel_button> 

=head2 $filesel-E<gt>B<complete> ($pattern)

=over

=item * $pattern (string) 

=back

=head2 widget = $fs-E<gt>B<dir_list> 

=head2 widget = $fs-E<gt>B<file_list> 

=head2 localized file name = $filesel-E<gt>B<get_filename> 

=head2 $filesel-E<gt>B<set_filename> ($filename)

=over

=item * $filename (localized file name) 

=back

=head2 widget = $fs-E<gt>B<fileop_c_dir> 

=head2 widget = $fs-E<gt>B<fileop_del_file> 

=head2 widget = $fs-E<gt>B<fileop_dialog> 

=head2 widget = $fs-E<gt>B<fileop_entry> 

=head2 string = $fs-E<gt>B<fileop_file> 

=head2 widget = $fs-E<gt>B<fileop_ren_file> 

=head2 widget = $fs-E<gt>B<help_button> 

=head2 $filesel-E<gt>B<hide_fileop_buttons> 

=head2 widget = $fs-E<gt>B<history_menu> 

=head2 widget = $fs-E<gt>B<history_pulldown> 

=head2 widget = $fs-E<gt>B<main_vbox> 

=head2 widget = $fs-E<gt>B<ok_button> 

=head2 boolean = $filesel-E<gt>B<get_select_multiple> 

=head2 $filesel-E<gt>B<set_select_multiple> ($select_multiple)

=over

=item * $select_multiple (boolean) 

=back

=head2 widget = $fs-E<gt>B<selection_entry> 

=head2 widget = $fs-E<gt>B<selection_text> 

=head2 list = $filesel-E<gt>B<get_selections> 

Returns the list of file name(s) selected.

=head2 $filesel-E<gt>B<show_fileop_buttons> 



=cut


=head1 PROPERTIES

=over

=item 'filename' (string : default undef : readable / writable / private)

The currently selected filename

=item 'select-multiple' (boolean : default false : readable / writable / private)

Whether to allow multiple files to be selected

=item 'show-fileops' (boolean : default true : readable / writable / private)

Whether buttons for creating/manipulating files should be displayed

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>, L<Gtk2::Dialog>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

